import { Component } from 'react';
export interface INoticeWrapProps {
    id: string;
    onExited(id: string): void;
}
export interface INoticeWrapState {
    entered: boolean;
    show: boolean;
}
export interface INoticeContext {
    onClose(): void;
}
export declare const NoticeContext: import("react").Context<INoticeContext>;
export default class NoticeWrap extends Component<INoticeWrapProps, INoticeWrapState> {
    private elementRef;
    state: INoticeWrapState;
    private timer;
    private ctx;
    private onEntered;
    private onExited;
    leave(): void;
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
}
